cgIsProgramCompiled(3)

NAME
cgIsProgramCompiled - determine if a program has been compiled

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsProgramCompiled( CGprogram program );

PARAMETERS

program
    The program.

RETURN VALUES
Returns CG_TRUE if program has been compiled.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsProgramCompiled returns CG_TRUE if program has been compiled and CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgIsProgramCompiled was introduced in Cg 1.1.

SEE ALSO
the cgCompileProgram manpage, the cgSetAutoCompile manpage